JMXProtocolRequest (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.servlet.client.JMXProtocolRequest class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.servlet.client
Class JMXProtocolRequest

    java.lang.Object
      org.hyperic.hq.product.servlet.client.JMXProtocolRequest

Direct Known Subclasses:
  JMXProtocolAjp, JMXProtocolHttp

    public abstract class JMXProtocolRequest

extends java.lang.Object

Interface for use by TomcatMeasurementPlugin to abstract transport.

Constructor Summary
`JMXProtocolRequest()`

Method Summary
`abstract java.io.InputStream` | `openStream(java.lang.String host, int port, java.lang.String user, java.lang.String pass, java.lang.String path, java.lang.String query)`
`java.lang.Object` | `parseResponse(java.io.InputStream is, java.lang.String qry)`
`abstract void` | `shutdown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMXProtocolRequest

    public JMXProtocolRequest()

Method Detail

### openStream

    public abstract java.io.InputStream openStream(java.lang.String host,
                                                   int port,
                                                   java.lang.String user,
                                                   java.lang.String pass,
                                                   java.lang.String path,
                                                   java.lang.String query)
                                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### shutdown

    public abstract void shutdown()

### parseResponse

    public java.lang.Object parseResponse(java.io.InputStream is,
                                          java.lang.String qry)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.